# CSUnsafeDataModelSchema

    @objc
    public final class CSUnsafeDataModelSchema : NSObject, CSDynamicSchema, CoreStoreObjectiveCType

The `CSUnsafeDataModelSchema` serves as the Objective-C bridging type for `UnsafeDataModelSchema`.

See also

`UnsafeDataModelSchema`

- `init(modelName:model:)`

  Initializes a `CSUnsafeDataModelSchema` from an `NSManagedObjectModel`.

  #### Declaration

  Swift

      @objc
      public required init(modelName: ModelVersion, model: NSManagedObjectModel)

  #### Parameters

  `modelName` | the model version, typically the file name of an *.xcdatamodeld file (without the file extension)
  `model` | the `NSManagedObjectModel`

### CSDynamicSchema

- `modelVersion`

  #### Declaration

  Swift

      @objc
      public var modelVersion: ModelVersion { get }

- `rawModel()`

  #### Declaration

  Swift

      @objc
      public func rawModel() -> NSManagedObjectModel

### CoreStoreObjectiveCType

- `bridgeToSwift`

  #### Declaration

  Swift

      public let bridgeToSwift: UnsafeDataModelSchema

- `init(_:)`

  #### Declaration

  Swift

      public required init(_ swiftValue: UnsafeDataModelSchema)